列出所有憑證
GET /accounts/{account_id}/core/v1/certificates
傳回集合中所有符合資源的 JSON 陣列。如果在請求中指定了個別欄位,則項目 JSON 陣列將按指定順序包含每個相符資源所請求的欄位。
參數
| Name | 類型 | 在 | 必要 | 說明 |
|---|---|---|---|---|
account_id |
字串 |
路徑 |
True |
包含帳戶資源的 ID
|
繼續 |
查詢 |
錯誤 |
指示要從哪個權杖繼續列出。 URL 範例:「continue= OpenAPI 範例:" |
|
篩選器 |
字串 |
查詢 |
錯誤 |
指示在列出集合時,為了傳回資源而應符合哪些欄位。 支援的運算子包括:
URL 範例:「filter=field%20eq%20%27value%27」 OpenAPI 範例:"field eq 'value'"
|
包括 |
字串 |
查詢 |
錯誤 |
指示列出集合時應傳回哪些欄位。 URL 範例:「include=id」、「include=id,name」 OpenAPI 範例:"id"
|
限制 |
字串 |
查詢 |
錯誤 |
表示列出集合時要傳回的資源數量上限。 URL 範例:「limit=2」 OpenAPI 範例:「2」 |
訂單者 |
字串 |
查詢 |
錯誤 |
指示列出集合時資源的排序順序。 URL 範例:「orderBy=name」、「orderBy=name%20desc」 OpenAPI 範例:"name desc" |
回應
Status: 200, Returns a JSON array of all matching resources in the collection. If individual fields are specified in the request, the items JSON array will contain the fields requested for each matching resource in the order specified.
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
項目 |
陣列 [ 任何: "certificate_1.1_get_response_body"、陣列 []] |
True |
|
中繼資料 |
True |
範例回應
{
"type": "application/astra-certificates",
"version": "1.1",
"items": [
[
"f97f3441-075e-4f9b-9d1e-47f9f62a3fc4",
"prod.region-1.example.com",
"true"
],
[
"5e365b4d-034f-4f13-95ef-d3a7fbc0df3d",
"prod.region-2.example.com",
"false"
],
[
"11ceb350-1999-4b79-80a6-46a980a27856",
"prod.example.com",
"false"
]
],
"metadata": {
"labels": [],
"creationTimestamp": "2022-10-06T20:58:16.305662Z",
"modificationTimestamp": "2022-10-06T20:58:16.305662Z",
"createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
}
}
回應
Status: 401, Unauthorized
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
類型 |
字串 |
True |
|
標題 |
字串 |
True |
|
詳細資料 |
字串 |
True |
|
狀態 |
字串 |
True |
|
correlationID |
字串 |
錯誤 |
範例回應
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
回應
Status: 400, Bad request
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
類型 |
字串 |
True |
|
標題 |
字串 |
True |
|
詳細資料 |
字串 |
True |
|
狀態 |
字串 |
True |
|
correlationID |
字串 |
錯誤 |
|
invalidParams |
陣列["invalidParams"] |
錯誤 |
無效查詢參數清單 |
範例回應
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
回應
Status: 503, Service unavailable
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
類型 |
字串 |
True |
|
標題 |
字串 |
True |
|
詳細資料 |
字串 |
True |
|
狀態 |
字串 |
True |
|
correlationID |
字串 |
錯誤 |
範例回應
{
"type": "https://astra.netapp.io/problems/41",
"title": "Service not ready",
"detail": "Currently, the service can't respond to this request.",
"status": "503"
}
回應
Status: 409, Conflict
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
類型 |
字串 |
True |
|
標題 |
字串 |
True |
|
詳細資料 |
字串 |
True |
|
狀態 |
字串 |
True |
|
correlationID |
字串 |
錯誤 |
範例回應
{
"type": "https://astra.netapp.io/problems/164",
"title": "Requested resource in unexpected state",
"detail": "The requested resource can't be returned because it isn't in the expected state. Wait for the conflict to be resolved and retry the request.",
"status": "409"
}
錯誤
Status: 404, Not found
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
類型 |
字串 |
True |
|
標題 |
字串 |
True |
|
詳細資料 |
字串 |
True |
|
狀態 |
字串 |
True |
|
correlationID |
字串 |
錯誤 |
範例錯誤回應
{
"type": "https://astra.netapp.io/problems/2",
"title": "Collection not found",
"detail": "The collection specified in the request URI wasn't found.",
"status": "404"
}
定義
請參閱定義
type_astra_stateTransition
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
從 |
字串 |
True |
|
到 |
陣列[string] |
True |
additionalDetails
type_astra_stateDetail
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
類型 |
字串 |
True |
|
標題 |
字串 |
True |
|
詳細資料 |
字串 |
True |
|
additionalDetails |
錯誤 |
type_astra_label
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
姓名 |
字串 |
True |
|
值 |
字串 |
True |
type_astra_metadata_update
與資源相關聯的用戶端和服務指定中繼資料。定義的值為:
-
遵循 Astra Metadata Schema。如果在建立時未指定,則建立的元資料物件將不帶任何標籤。如果在更新時未指定,元資料物件的標籤、creationTimestamp 和 createdBy 將保持不變。
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
標籤 |
錯誤 |
||
建立時間戳記 |
字串 |
錯誤 |
|
修改時間戳記 |
字串 |
錯誤 |
|
建立者 |
字串 |
錯誤 |
|
modifiedBy |
字串 |
錯誤 |
certificate_1.1_get_response_body
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
類型 |
字串 |
True |
資源的媒體類型。定義的值為:
|
版本 |
字串 |
True |
資源版本。已定義值包括:
|
ID |
字串 |
True |
資源的全域唯一識別碼。定義的值為:
|
certUse |
字串 |
True |
指示憑證用途的 JSON 字串。如果未指定,則預設為 "rootCA"。已定義的值包括:
|
憑證 |
字串 |
True |
包含經過 base64 編碼的 PKCS-11 格式憑證(PEM)的 JSON 字串。定義值包括:
|
cn |
字串 |
True |
包含從憑證中擷取的通用名稱的 JSON 字串。已定義的值包括:
|
expiryTimestamp |
字串 |
True |
包含時間戳記的 JSON 字串,指示憑證的過期時間。已定義的值包括:
|
isSelfSigned |
字串 |
True |
指示憑證是否為自簽名憑證的 JSON 字串。如果在建立時未提供,則預設值為 "false"。更新時:
|
trustState |
字串 |
True |
包含一組列舉值之一的 JSON 字串,指示憑證是否受信任。定義的值包括:
|
trustStateTransitions |
True |
JSON 物件的 JSON 陣列,每個物件代表從給定已定義狀態出發的允許狀態轉換集。每個 JSON 物件包含「from」和「to」欄位,其中「from」值是狀態名稱,「to」值是允許的目標狀態陣列。 |
|
trustStateDesired |
字串 |
錯誤 |
JSON 字串包含一個值,指示憑證是否受信任。如果在建立時未指定,則預設值為 "trusted"。已定義的值包括:
|
trustStateDetails |
True |
包含 JSON 物件的 JSON 陣列,其中列出了憑證信任狀態的其他詳細資料。如果沒有可用的詳細資料,則此陣列為空白。
|
|
中繼資料 |
True |
與資源相關聯的用戶端和服務指定中繼資料。定義的值為:
|
type_astra_metadata_list
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
繼續 |
字串 |
錯誤 |
|
數 |
數字 |
錯誤 |
|
標籤 |
錯誤 |
||
建立時間戳記 |
字串 |
錯誤 |
|
修改時間戳記 |
字串 |
錯誤 |
|
建立者 |
字串 |
錯誤 |
|
modifiedBy |
字串 |
錯誤 |
invalidParams
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
姓名 |
字串 |
True |
無效查詢參數的名稱 |
原因 |
字串 |
True |
查詢參數無效的原因 |